PHP Foreign Function Interface Arbitrary DLL Loading safe_mode Restriction Bypass

This script is Copyright (C) 2011-2013 Tenable Network Security, Inc.


Synopsis :

The remote web server uses a version of PHP that is affected by a
security bypass vulnerability.

Description :

According to its banner, the version of PHP installed on the remote
host is affected by a security bypass vulnerability. The Foreign
Function Interface (ffi) extension does not follow safe_mode
restrictions, which allows context-dependent attackers to execute
arbitrary code by loading an arbitrary DLL and calling a function.

See also :

http://pecl.php.net/package-info.php?package=ffi

Solution :

There is no known solution at this time.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)
Public Exploit Available : true

Family: CGI abuses

Nessus Plugin ID: 17714 ()

Bugtraq ID:

CVE ID: CVE-2007-4528